GNU bug report logs - #34160
json-pretty-print deletes everything after first JSON object

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Albert Heinle <albert.heinle@HIDDEN>; Keywords: fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 34160 <at> debbugs.gnu.org:


Received: (at 34160) by debbugs.gnu.org; 10 Jul 2019 11:24:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 10 07:24:14 2019
Received: from localhost ([127.0.0.1]:34919 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlAhp-0004QT-So
	for submit <at> debbugs.gnu.org; Wed, 10 Jul 2019 07:24:14 -0400
Received: from quimby.gnus.org ([80.91.231.51]:35944)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hlAhn-0004QK-Q5
 for 34160 <at> debbugs.gnu.org; Wed, 10 Jul 2019 07:24:12 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1hlAhi-0008Az-SK; Wed, 10 Jul 2019 13:24:09 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#34160: json-pretty-print deletes everything after first JSON
 object
References: <CABOyWhcidWYNa+aEqFjtHd4TFrOf3Lx8PUHRy9ZvsCFtNPUJGQ@HIDDEN>
 <87bly3qce5.fsf@HIDDEN> <sm1ryy9sof.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAGFBMVEXa2djt7eyjoZ/k5OL+
 //79/f3Ozcu+vbvUGkYsAAACbUlEQVQ4jbWPQY/bIBCFh0WBayjr3WuWSuYKQeucI/UHxHV3eyWx
 CleHaJm/38HaVlXV3tqJjZT38d4bw6e/DPx7cDF7Y2q25e03oGiCV2q8/0PUZfeftjq+3Hfq2L2o
 o3pR6mXsuu44fulGoEXGsaOD1hpV9/OAcZWaOoZf2Ahk7byaVOg6HVZxZR1FKa2U95ruB0Ws+YhQ
 lOp8mJra3uC1Hn3rUJ4FPWn6T4Te8Bx8iwOvp4n0QIhuB6b96u1g9DTPwXnwIfjANScLdQIn3Tnt
 mQPVHrZtcUqDnk5bz3jYauD0bGFq1knDc+BnDm7LuGuyage1KdDMnU6nLUuOicSAB9AuTCHA9kT3
 4TwLnkJKWmzIwjcENvG8YVwMbhbRJSYiSQBaw0m8PgyCz3FwaR4ag+iBeQDGYT7HNMxcJC7mB0qE
 LVUxYFEMwyNUASk+JJfgAZgL8CpeJYF4wxQhrSxA8hTzFq/fzkuSoqYoq6s8UWjUQM3DkHOOi0h1
 wDkvcxKO3CKKKOPtVnNMOeYKGA8pugjzTCqmLCUdGDFK5DHR13wVj4d9fjzkijXiInHIbb9E5fVa
 r0tfMdvaLIQjgIBHKQeUWC5YsdTcJ6yyEoElStpJ1l2PtVhpF8RKKwS41Xrtn2xvS7HZNEaEKkDu
 P8jL57LfX9BYNLJUakIiy7I87eyut9YWUw2tkGtCRDgcqDkXNIVeYn2h76Ef1Frxcil3xVqDpjem
 VbStbsuu7z9SEmm2WCxmbeBw16Y57ooxxVBeM2Gl8h1ZemNNG4KNWCqnCkTzY2zT1qEoqqZpl1eX
 pYpWbvr3eQ9bc4h9B6WuB3+i6A6mAAAAAElFTkSuQmCC
Date: Wed, 10 Jul 2019 13:24:06 +0200
In-Reply-To: <sm1ryy9sof.fsf@HIDDEN> (Glenn Morris's message of
 "Wed, 10 Jul 2019 04:53:36 -0400")
Message-ID: <m3bly22kvd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Glenn Morris <rgm@HIDDEN> writes: > After the change,
 test-json-pretty-print-object
 fails. > Ref eg https://hydra.nixos.org/build/95978732 Thanks; should be
 fixed now... 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34160
Cc: Albert Heinle <albert.heinle@HIDDEN>, 34160 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Glenn Morris <rgm@HIDDEN> writes:

> After the change, test-json-pretty-print-object fails.
> Ref eg https://hydra.nixos.org/build/95978732

Thanks; should be fixed now...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34160; Package emacs. Full text available.

Message received at 34160 <at> debbugs.gnu.org:


Received: (at 34160) by debbugs.gnu.org; 10 Jul 2019 08:53:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 10 04:53:48 2019
Received: from localhost ([127.0.0.1]:34814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hl8MG-0004xQ-C8
	for submit <at> debbugs.gnu.org; Wed, 10 Jul 2019 04:53:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51976)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1hl8ME-0004xC-Di
 for 34160 <at> debbugs.gnu.org; Wed, 10 Jul 2019 04:53:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40242)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1hl8M7-0001cM-PC; Wed, 10 Jul 2019 04:53:41 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1hl8M4-0001jJ-T7; Wed, 10 Jul 2019 04:53:37 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#34160: json-pretty-print deletes everything after first JSON
 object
References: <CABOyWhcidWYNa+aEqFjtHd4TFrOf3Lx8PUHRy9ZvsCFtNPUJGQ@HIDDEN>
 <87bly3qce5.fsf@HIDDEN>
X-Spook: Execution Baranyi CipherTAC-2000 Home grown Tremor
X-Ran: P^^:+Xn~7Yp6ZC0mQsz/[-U;TcxKugn{}5(%lnawN3wL!tKLF_uG,RT{wOgZ:(TxU,(y_m
X-Hue: green
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 10 Jul 2019 04:53:36 -0400
In-Reply-To: <87bly3qce5.fsf@HIDDEN> (Lars Ingebrigtsen's message of
 "Tue, 09 Jul 2019 20:41:06 +0200")
Message-ID: <sm1ryy9sof.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34160
Cc: Albert Heinle <albert.heinle@HIDDEN>, 34160 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


After the change, test-json-pretty-print-object fails.
Ref eg https://hydra.nixos.org/build/95978732




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34160; Package emacs. Full text available.
bug marked as fixed in version 27.1, send any further explanations to 34160 <at> debbugs.gnu.org and Albert Heinle <albert.heinle@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34160 <at> debbugs.gnu.org:


Received: (at 34160) by debbugs.gnu.org; 9 Jul 2019 18:41:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 09 14:41:14 2019
Received: from localhost ([127.0.0.1]:34192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkv3B-0001F1-Ur
	for submit <at> debbugs.gnu.org; Tue, 09 Jul 2019 14:41:14 -0400
Received: from quimby.gnus.org ([80.91.231.51]:51382)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hkv39-0001Es-BU
 for 34160 <at> debbugs.gnu.org; Tue, 09 Jul 2019 14:41:11 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hkv35-0008Fn-1r; Tue, 09 Jul 2019 20:41:09 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Albert Heinle <albert.heinle@HIDDEN>
Subject: Re: bug#34160: json-pretty-print deletes everything after first JSON
 object
References: <CABOyWhcidWYNa+aEqFjtHd4TFrOf3Lx8PUHRy9ZvsCFtNPUJGQ@HIDDEN>
Date: Tue, 09 Jul 2019 20:41:06 +0200
In-Reply-To: <CABOyWhcidWYNa+aEqFjtHd4TFrOf3Lx8PUHRy9ZvsCFtNPUJGQ@HIDDEN>
 (Albert Heinle's message of "Mon, 21 Jan 2019 12:46:35 -0500")
Message-ID: <87bly3qce5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Albert Heinle <albert.heinle@HIDDEN> writes: > Write
 > > {"a": 1}{"b": 2} > > into any Emacs buffer. Then, mark the whole section
 and run M-x json-pretty-print. > The line is afterwards altered as > { >
 "a": 1 > } 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34160
Cc: 34160 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Albert Heinle <albert.heinle@HIDDEN> writes:

> Write
>
> {"a": 1}{"b": 2}
>
> into any Emacs buffer. Then, mark the whole section and run M-x json-pretty-print.
> The line is afterwards altered as
> {
>   "a": 1
> }

I think I've now fixed this on the Emacs trunk.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34160; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Jan 2019 18:00:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 13:00:12 2019
Received: from localhost ([127.0.0.1]:40410 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gldro-0003sT-BT
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 13:00:12 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37413)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <albert.heinle@HIDDEN>) id 1gldey-0003Ye-Em
 for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 12:46:56 -0500
Received: from lists.gnu.org ([209.51.188.17]:56624)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <albert.heinle@HIDDEN>)
 id 1gldet-0002SM-6n
 for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 12:46:51 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47600)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <albert.heinle@HIDDEN>) id 1gldes-0007IT-9E
 for bug-gnu-emacs@HIDDEN; Mon, 21 Jan 2019 12:46:51 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,FREEMAIL_FROM,
 HTML_MESSAGE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <albert.heinle@HIDDEN>) id 1glder-0002RL-A1
 for bug-gnu-emacs@HIDDEN; Mon, 21 Jan 2019 12:46:50 -0500
Received: from mail-ua1-x929.google.com ([2607:f8b0:4864:20::929]:34638)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <albert.heinle@HIDDEN>)
 id 1glder-0002QN-1i
 for bug-gnu-emacs@HIDDEN; Mon, 21 Jan 2019 12:46:49 -0500
Received: by mail-ua1-x929.google.com with SMTP id c24so7197263uak.1
 for <bug-gnu-emacs@HIDDEN>; Mon, 21 Jan 2019 09:46:47 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=ln+Rk4+tMvXvLv1GgucXzJeOnRsMetnWfQzPjDOi/dI=;
 b=cdA/Gtsb0sCBz2R7XtySGoYNSlYWYDRNyrFlit77/X1WBiwcwxkJnDJsiyj/x/NKEh
 Q8TIfh3XxselsaJRwPHph77VyMX9c1Msh5Oez+HoVlgacg6R4octajYc3XceY4d/C56L
 vUfzzPeG4l7rk+/teUi2+ki8Zivxm690MGvsAivMV9CYkB2U2RjM8yf/Um9rm2pxCLoX
 GgpuiFYpDsd0Se7PSOPr9r3NV6sjyrHnN2FhcVfkF79bBr7N37M4Ek5JQKWe3uLYMVSm
 ftF0kfYbCdk9DakURJMxiF57gFp1UCGlibBuN7XtcFlU/LpLAqVCYXZN7l+YCIO1UR8w
 N9Zw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=ln+Rk4+tMvXvLv1GgucXzJeOnRsMetnWfQzPjDOi/dI=;
 b=NtBJiEwYje3JYHjBJxuAouVDF9J8unj9+pSqbBJAaE0KkuEv0CBxcU+O76XXTGVnn5
 pgV9cbLrA/hbcbmMbS4P35Hpqp92sEn4zHp/EMCllCTrL4wT18gA+vapshkDpiOffdLm
 OmeCsYqeirEPCooAvu59em4nYVVE7B8y96Gpeig4lUaRty812M+d4J3rXosWutLC4cb7
 z5yLz4pLGuQjrOkGp4+YmzwCcd0+ci+6Mz9ZXsM6q1712RkIa/2uK2LlaaA5mwq/Vg84
 C3ZW0E3xCCwYbsjoU4GTxQj3Gj03s4yePHMP6H3DEUXBFf0NpJPdCqi3SAe7tFPfiZeL
 ftVw==
X-Gm-Message-State: AJcUukfbe1QTrGAqgj/vdGTDLduN+7Pq7lQQ8uXPC0Gl6EaIYHg9/glF
 bPhN9iGKsMk4PqJrmgYKZaLDpG87MFktZHz9AcYv1hvt
X-Google-Smtp-Source: ALg8bN4LFl695/YI+rDwfPm56cBeAPcxmtACfBcnGSMLGtd87nb6/2GtimWBJ1nNE6Mh7/HaiSAu4AfaOfKHCm5UNDM=
X-Received: by 2002:ab0:7698:: with SMTP id v24mr8132895uaq.133.1548092805973; 
 Mon, 21 Jan 2019 09:46:45 -0800 (PST)
MIME-Version: 1.0
From: Albert Heinle <albert.heinle@HIDDEN>
Date: Mon, 21 Jan 2019 12:46:35 -0500
Message-ID: <CABOyWhcidWYNa+aEqFjtHd4TFrOf3Lx8PUHRy9ZvsCFtNPUJGQ@HIDDEN>
Subject: json-pretty-print deletes everything after first JSON object
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000c7a076057ffb7103"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::929
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 21 Jan 2019 13:00:09 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--000000000000c7a076057ffb7103
Content-Type: text/plain; charset="UTF-8"

Dear Emacs-dev team,

I have observed the following behavior of the command json-pretty-print
(http://git.savannah.gnu.org/cgit/emacs.git/tree/lisp/json.el#n740):

Write

{"a": 1}{"b": 2}

into any Emacs buffer. Then, mark the whole section and run M-x
json-pretty-print.
The line is afterwards altered as
{
  "a": 1
}

This means, that any string after the first completely parsed JSON-object
is being removed by this function. I would consider this unexpected,
because information gets lost after calling a function that is just
supposed to prettify things.

My Emacs version:
GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9) of 2017-09-20
on lcy01-07, modified by Debian

I also have an Arch-linux system at home where I could also reproduce this
behavior.

Let me know if you have any other questions.

Thank you very much,

Albert Heinle

--000000000000c7a076057ffb7103
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div dir=3D"ltr"><div dir=3D"ltr"><div di=
r=3D"ltr"><div>Dear Emacs-dev team,</div><div><br></div><div>I have observe=
d the following behavior of the command json-pretty-print</div><div>(<a hre=
f=3D"http://git.savannah.gnu.org/cgit/emacs.git/tree/lisp/json.el#n740">htt=
p://git.savannah.gnu.org/cgit/emacs.git/tree/lisp/json.el#n740</a>):</div><=
div><br></div><div>Write</div><div><br></div><div>{&quot;a&quot;: 1}{&quot;=
b&quot;: 2}</div><div><br></div><div>into any Emacs buffer. Then, mark the =
whole section and run M-x json-pretty-print.</div><div>The line is afterwar=
ds altered as<br></div><div>{<br>=C2=A0 &quot;a&quot;: 1<br>}<br><br></div>=
<div>This means, that any string after the first completely parsed JSON-obj=
ect is being removed by this function. I would consider this unexpected, be=
cause information gets lost after calling a function that is just supposed =
to prettify things.<br></div><div><br></div><div>My Emacs version:</div><di=
v>GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9) of 2017-09-20=
 on lcy01-07, modified by Debian</div><div><br></div><div>I also have an Ar=
ch-linux system at home where I could also reproduce this behavior.</div><d=
iv><br></div><div>Let me know if you have any other questions.</div><div><b=
r></div><div>Thank you very much,</div><div><br></div><div>Albert Heinle<br=
></div></div></div></div></div></div>

--000000000000c7a076057ffb7103--




Acknowledgement sent to Albert Heinle <albert.heinle@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#34160; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 10 Jul 2019 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.